'use strict';

const checkit = require("checkit");
const oneOf = require("../../validators/one-of");

module.exports = checkit({
	name: "string",
	description: "string",
	source: ["required", "string", oneOf([
		"local",
		"http"
	])]
}).maybe({
	url: ["required", "string"]
}, (input) => {
	return (input.source === "http");
}).maybe({
	path: ["required", "string"]
}, (input) => {
	return (input.source === "local");
});
